org.keycloak.component

## Class ComponentModelScope

- java.lang.Object
- - org.keycloak.component.ComponentModelScope

- All Implemented Interfaces:
    Config.Scope

      public class ComponentModelScope
      extends Object
      implements Config.Scope

  Author:
    hmlnarik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentModelScope(Config.Scope origScope, ComponentModel componentConfig)`
    `ComponentModelScope(Config.Scope origScope, ComponentModel componentConfig, String prefix)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `get(String key)`
    `String` | `get(String key, String defaultValue)`
    `String[]` | `getArray(String key)`
    `Boolean` | `getBoolean(String key)`
    `Boolean` | `getBoolean(String key, Boolean defaultValue)`
    `String` | `getComponentId()`
    `String` | `getComponentName()`
    `<T> T` | `getComponentNote(String key)`
    `String` | `getComponentParentId()`
    `String` | `getComponentSubType()`
    `Integer` | `getInt(String key)`
    `Integer` | `getInt(String key, Integer defaultValue)`
    `Long` | `getLong(String key)`
    `Long` | `getLong(String key, Long defaultValue)`
    `Config.Scope` | `scope(String... scope)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentModelScope

          public ComponentModelScope(Config.Scope origScope,
                                     ComponentModel componentConfig)

    - #### ComponentModelScope

          public ComponentModelScope(Config.Scope origScope,
                                     ComponentModel componentConfig,
                                     String prefix)

  - ### Method Detail

    - #### getComponentId

          public String getComponentId()

    - #### getComponentName

          public String getComponentName()

    - #### getComponentNote

          public <T> T getComponentNote(String key)

    - #### getComponentParentId

          public String getComponentParentId()

    - #### getComponentSubType

          public String getComponentSubType()

    - #### get

          public String get(String key)

      Specified by:
        `get` in interface `Config.Scope`

    - #### get

          public String get(String key,
                            String defaultValue)

      Specified by:
        `get` in interface `Config.Scope`

    - #### getArray

          public String[] getArray(String key)

      Specified by:
        `getArray` in interface `Config.Scope`

    - #### getInt

          public Integer getInt(String key)

      Specified by:
        `getInt` in interface `Config.Scope`

    - #### getInt

          public Integer getInt(String key,
                                Integer defaultValue)

      Specified by:
        `getInt` in interface `Config.Scope`

    - #### getLong

          public Long getLong(String key)

      Specified by:
        `getLong` in interface `Config.Scope`

    - #### getLong

          public Long getLong(String key,
                              Long defaultValue)

      Specified by:
        `getLong` in interface `Config.Scope`

    - #### getBoolean

          public Boolean getBoolean(String key)

      Specified by:
        `getBoolean` in interface `Config.Scope`

    - #### getBoolean

          public Boolean getBoolean(String key,
                                    Boolean defaultValue)

      Specified by:
        `getBoolean` in interface `Config.Scope`

    - #### scope

          public Config.Scope scope(String... scope)

      Specified by:
        `scope` in interface `Config.Scope`

Copyright © 2021 JBoss by Red Hat. All rights reserved.